--- old/usr/src/uts/common/inet/ip/ip6.c	sam. juil. 16 15:14:51 2016
+++ new/usr/src/uts/common/inet/ip/ip6.c	sam. juil. 16 15:14:51 2016
@@ -127,46 +127,46 @@
  */
 uchar_t ip6opt_ls;
 
-const in6_addr_t ipv6_all_ones =
-	{ 0xffffffffU, 0xffffffffU, 0xffffffffU, 0xffffffffU };
-const in6_addr_t ipv6_all_zeros = { 0, 0, 0, 0 };
+const in6_addr_t ipv6_all_ones = {
+	{{ 0xffffffffU, 0xffffffffU, 0xffffffffU, 0xffffffffU }}};
+const in6_addr_t ipv6_all_zeros = {{{ 0, 0, 0, 0 }}};
 
 #ifdef	_BIG_ENDIAN
-const in6_addr_t ipv6_unspecified_group = { 0xff000000U, 0, 0, 0 };
+const in6_addr_t ipv6_unspecified_group = {{{ 0xff000000U, 0, 0, 0 }}};
 #else	/* _BIG_ENDIAN */
-const in6_addr_t ipv6_unspecified_group = { 0x000000ffU, 0, 0, 0 };
+const in6_addr_t ipv6_unspecified_group = {{{ 0x000000ffU, 0, 0, 0 }}};
 #endif	/* _BIG_ENDIAN */
 
 #ifdef	_BIG_ENDIAN
-const in6_addr_t ipv6_loopback = { 0, 0, 0, 0x00000001U };
+const in6_addr_t ipv6_loopback = {{{ 0, 0, 0, 0x00000001U }}};
 #else  /* _BIG_ENDIAN */
-const in6_addr_t ipv6_loopback = { 0, 0, 0, 0x01000000U };
+const in6_addr_t ipv6_loopback = {{{ 0, 0, 0, 0x01000000U }}};
 #endif /* _BIG_ENDIAN */
 
 #ifdef _BIG_ENDIAN
-const in6_addr_t ipv6_all_hosts_mcast = { 0xff020000U, 0, 0, 0x00000001U };
+const in6_addr_t ipv6_all_hosts_mcast = {{{ 0xff020000U, 0, 0, 0x00000001U }}};
 #else  /* _BIG_ENDIAN */
-const in6_addr_t ipv6_all_hosts_mcast = { 0x000002ffU, 0, 0, 0x01000000U };
+const in6_addr_t ipv6_all_hosts_mcast = {{{ 0x000002ffU, 0, 0, 0x01000000U }}};
 #endif /* _BIG_ENDIAN */
 
 #ifdef _BIG_ENDIAN
-const in6_addr_t ipv6_all_rtrs_mcast = { 0xff020000U, 0, 0, 0x00000002U };
+const in6_addr_t ipv6_all_rtrs_mcast = {{{ 0xff020000U, 0, 0, 0x00000002U }}};
 #else  /* _BIG_ENDIAN */
-const in6_addr_t ipv6_all_rtrs_mcast = { 0x000002ffU, 0, 0, 0x02000000U };
+const in6_addr_t ipv6_all_rtrs_mcast = {{{ 0x000002ffU, 0, 0, 0x02000000U }}};
 #endif /* _BIG_ENDIAN */
 
 #ifdef _BIG_ENDIAN
-const in6_addr_t ipv6_all_v2rtrs_mcast = { 0xff020000U, 0, 0, 0x00000016U };
+const in6_addr_t ipv6_all_v2rtrs_mcast = {{{ 0xff020000U, 0, 0, 0x00000016U }}};
 #else  /* _BIG_ENDIAN */
-const in6_addr_t ipv6_all_v2rtrs_mcast = { 0x000002ffU, 0, 0, 0x16000000U };
+const in6_addr_t ipv6_all_v2rtrs_mcast = {{{ 0x000002ffU, 0, 0, 0x16000000U }}};
 #endif /* _BIG_ENDIAN */
 
 #ifdef _BIG_ENDIAN
-const in6_addr_t ipv6_solicited_node_mcast =
-			{ 0xff020000U, 0, 0x00000001U, 0xff000000U };
+const in6_addr_t ipv6_solicited_node_mcast = {
+			{{ 0xff020000U, 0, 0x00000001U, 0xff000000U }}};
 #else  /* _BIG_ENDIAN */
-const in6_addr_t ipv6_solicited_node_mcast =
-			{ 0x000002ffU, 0, 0x01000000U, 0x000000ffU };
+const in6_addr_t ipv6_solicited_node_mcast = {
+			{{ 0x000002ffU, 0, 0x01000000U, 0x000000ffU }}};
 #endif /* _BIG_ENDIAN */
 
 static boolean_t icmp_inbound_verify_v6(mblk_t *, icmp6_t *, ip_recv_attr_t *);
